org.apache.commons.math3.genetics

## Interface StoppingCondition

- All Known Implementing Classes:
    FixedElapsedTime, FixedGenerationCount

      public interface StoppingCondition

  Algorithm used to determine when to stop evolution.
  Since:
    2.0
  Version:
    $Id: StoppingCondition.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSatisfied(Population population)` Determine whether or not the given population satisfies the stopping condition.

- - ### Method Detail

    - #### isSatisfied

          boolean isSatisfied(Population population)

      Determine whether or not the given population satisfies the stopping condition.
      Parameters:
        `population` - the population to test.
      Returns:
        `true` if this stopping condition is met by the given population, `false` otherwise.

Copyright (c) 2003-2013 Apache Software Foundation